Bug 92542 - UI & TABLE: No index/table context menu when an index is in a table
Summary: UI & TABLE: No index/table context menu when an index is in a table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2015-07-04 14:40 UTC by dragomang87
Modified: 2019-01-20 19:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dragomang87 2015-07-04 14:40:22 UTC
Duplicate?:
Couldn't find a solution with google's help.
Here in Bugzilla, I searched for:
    righ-click cell index/table
    popup menu cell index/table
without success  

Preliminaries:
Create some text with some references (bibliography entries). Then create a table with some cells and inside a cell insert a bibliography.
(Cursor on protected areas is enabled)

Problem:
A right-click on the bibliography only pops up the cell menu and I cannot find an alternative way for updating the bibliography after changes.
Furthermore, any attempt to select the bibliography results in selecting the whole cell content.

Expected Behaviour:
Pop up only the bibliography menu (for editing, updating, deleting ...) or both menus. Or add the options in the top bar menus.

Trivia:
I am writing a Phd plan (thus the bibliography) in a .docx form (provided by the university) that uses tables. The plan was supposed to be written inside a cell and i was trying to keep the bibliography together with the plan inside the same cell, that's  how i encountered the problem.

Bad Workarounds:
Put the bibliography by itself on a separate cell. Then, to update, the cell can be deleted and the bibliography created again without affecting other parts.
For this to work the bibliography must be unprotected.
Comment 1 Gordo 2015-07-05 16:25:16 UTC
Reproducible.

Workarounds:
Open Navigator and right click on the index to update or edit.
Tools -> Update -> All Indexes and Tables.

Windows Vista 64
Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Comment 2 QA Administrators 2016-09-20 10:14:06 UTC Comment hidden (obsolete)
Comment 3 Roman Kuznetsov 2019-01-18 08:12:36 UTC
still repro in 

Version: 6.3.0.0.alpha0+
Build ID: 6b4ea2d8ddd681fec98773d7e0bbec9657a1fc08
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 4 Commit Notification 2019-01-20 15:52:53 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/90a4a89ef0dfe0b6d34890662d7a610f832977d0%5E%21

tdf#92542 add index elements to table context menus in sw modules

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.